Mail::Message::Wrapper::SpamAssassin(3)

NAME
Mail::Message::Wrapper::SpamAssassin - Connect a Mail::Message with Mail::SpamAssassin

INHERITANCE
 Mail::Message::Wrapper::SpamAssassin
   is a Mail::SpamAssassin::Message

SYNOPSIS
  # WARNING: requires OLD SpamAssassion 2.x, not the new 3.x
  # See Mail::Box::Search::SpamAssassin for the preferred interface
  # However, it is possible to do:

  my $msg    = ...;   # some Mail::Message object
  my $sa     = Mail::Message::Wrapper::SpamAssassin->new($msg);
  my $spam   = Mail::SpamAssassin->new;
  my $status = $spam->check($sa);

  $msg->label(spam => 1) if $status->is_spam;
  $status->rewrite_mail;  # Adds spam lines to header

DESCRIPTION
WARNING: This module only works with the old version of SpamAssassin: version 2.x. The newer 3.x releases have changed the way that messages are kept. Please contribute improved code.

The "Mail::Message::Wrapper::SpamAssassin" class --sorry for the long package name-- is a wrapper around Mail::SpamAssassin::Message, which is an interface to the spam checking software of Mail::SpamAssassin.

METHODS

$class->new($message, %options)
    Creates a wrapper around the $message. The already present fields from a previous run of Spam::Assassin (or probably fake lines) are removed first.

SEE ALSO
This module is part of Mail-Box version 3.012, built on November 27, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.